routes/web.php
<?php

use App\Http\Controllers\PostController;
use App\Http\Controllers\AccauntController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [PostController::class , 'index'])->middleware('auth')->name('home');

Route::resource('posts', PostController::class)->middleware('auth')->except('create');
Route::get('posts/{user}/create', [PostController::class, 'create'])->middleware('auth')->name('posts.create');
Route::resource('account', AccauntController::class)->middleware('auth');
Route::resource('posts.comments', \App\Http\Controllers\PostsCommentsController::class)->middleware('auth');
Route::resource('posts.likes', \App\Http\Controllers\PostsLikesContoller::class)->middleware('auth');
Route::resource('account.following', \App\Http\Controllers\AccauntsFollowingController::class)->middleware('auth');

Auth::routes();

resources/views/accounts/create.blade.php
@extends('layouts.app')

@section('content')
    @include('notifications.alerts')

    <h5>Создать </h5>
    <form action="{{route('posts.store')}}" enctype="multipart/form-data"  method="POST">
        @csrf

        <div class="form-group">
            <label>img</label>
            <input type="file" class="form-control"  name="image">
            <input type="hidden" name="user_id" value="{{auth()->user()->id}}">
        </div>
        <div class="form-group">
            <label for="exampleFormControlTextarea1">Описание</label>
            <textarea class="form-control" id="exampleFormControlTextarea1" name="description" rows="3">{{old('description')}}</textarea>
        </div>
        <button class=" btn btn-success" type="submit">Загрузить</button>
    </form>
@endsection

resources/views/accounts/show.blade.php
@extends('layouts.app')

@section('content')
    @include('notifications.alerts')
    <div class="row">
        <div class="col-lg-4 d-flex justify-content-around p-5">
            @if($user->avatar)
            <img src="{{asset('/storage/'.$user->avatar) }}" class="rounded rounded-circle " height="200px">
            @else
                <img src="{{asset('default.jpg') }}" class="rounded rounded-circle " height="200px">
            @endif
        </div>
        <div class="col-lg-8 p-5">
            <h2>{{ $user->name }}    </h2>
            <form action="{{route('account.following.store', ['account' => $user])}}" method="post">
                @csrf


                    @if(auth()->user()->following->contains($user->id))
                    <button type="submit" class="btn btn-outline-secondary">Отписатся </button>
                    @else
                    <button type="submit" class="btn btn-outline-primary">Подписаться </button>

                    @endif

            </form>
            <div class="d-flex fs-5 ">
                <p class="pe-5 "> <b>{{$count}}</b> posts </p>
                <p class="pe-5"> follower <b>{{$users}}</b> </p>
                <p> following  <b>{{$following}}</b></p>
            </div>
            @can('create-post',$user)
            <a class="btn btn-outline-dark " href="{{route('posts.create', ['user' => $user])}}">
                Добавить пост
            </a>
            @endcan
        </div>
    </div>
    <div class="row">

        @foreach($posts as $post)

            <div class="col-3  border ">
                <a href="{{route('posts.show', ['post'=>$post])}}">
                    <img class="w-100 h-100" src="{{asset('/storage/'.$post->image) }}" >
                </a>
            </div>


        @endforeach
    </div>



@endsection